update report_summary
set
    customer_consumption = nullif(trim(customers->>'consumption'), '')::numeric(16,2),
    customer_consumption_fee = nullif(trim(customers->>'consumptionFee'), '')::numeric(14,2),
    customer_consumption_critical = nullif(trim(customers->>'critical'), '')::numeric(16,2),
    customer_consumption_critical_fee = nullif(trim(customers->>'criticalFee'), '')::numeric(14,2),
    customer_consumption_peak = nullif(trim(customers->>'peak'), '')::numeric(16,2),
    customer_consumption_peak_fee = nullif(trim(customers->>'peakFee'), '')::numeric(14,2),
    customer_consumption_flat = nullif(trim(customers->>'flat'), '')::numeric(16,2),
    customer_consumption_flat_fee = nullif(trim(customers->>'flatFee'), '')::numeric(14,2),
    customer_consumption_valley = nullif(trim(customers->>'valley'), '')::numeric(16,2),
    customer_consumption_valley_fee = nullif(trim(customers->>'valleyFee'), '')::numeric(14,2),
    public_consumption = nullif(trim(publics->>'consumption'), '')::numeric(16,2),
    public_consumption_fee = nullif(trim(publics->>'consumptionFee'), '')::numeric(14,2),
    public_consumption_critical = nullif(trim(publics->>'critical'), '')::numeric(16,2),
    public_consumption_critical_fee = nullif(trim(publics->>'criticalFee'), '')::numeric(14,2),
    public_consumption_peak = nullif(trim(publics->>'peak'), '')::numeric(16,2),
    public_consumption_peak_fee = nullif(trim(publics->>'peakFee'), '')::numeric(14,2),
    public_consumption_flat = nullif(trim(publics->>'flat'), '')::numeric(16,2),
    public_consumption_flat_fee = nullif(trim(publics->>'flatFee'), '')::numeric(14,2),
    public_consumption_valley = nullif(trim(publics->>'valley'), '')::numeric(16,2),
    public_consumption_valley_fee = nullif(trim(publics->>'valleyFee'), '')::numeric(14,2),
    public_consumption_proportion = nullif(trim(publics->>'proportion'), '')::numeric(16,15);